POST api/FactorMaster/factor-get-all
Request Information
URI Parameters
None.
Body Parameters
FactorMaster| Name | Description | Type | Additional information |
|---|---|---|---|
| details | Details |
None. |
|
| IR35_FACTOR_ID | string |
None. |
|
| IR35_FACTOR_NAME | string |
None. |
|
| IR35_FACTOR_SCORE | string |
None. |
|
| company_status | string |
None. |
|
| company_name | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"details": {
"formName": "sample string 1",
"userId": "sample string 2"
},
"IR35_FACTOR_ID": "sample string 1",
"IR35_FACTOR_NAME": "sample string 2",
"IR35_FACTOR_SCORE": "sample string 3",
"company_status": "sample string 4",
"company_name": "sample string 5"
}
application/xml, text/xml
Sample:
<FactorMaster xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/HGVDG_API.Controllers.Masters">
<IR35_FACTOR_ID>sample string 1</IR35_FACTOR_ID>
<IR35_FACTOR_NAME>sample string 2</IR35_FACTOR_NAME>
<IR35_FACTOR_SCORE>sample string 3</IR35_FACTOR_SCORE>
<company_name>sample string 5</company_name>
<company_status>sample string 4</company_status>
<details xmlns:d2p1="http://schemas.datacontract.org/2004/07/HGVDG_API">
<d2p1:formName>sample string 1</d2p1:formName>
<d2p1:userId>sample string 2</d2p1:userId>
</details>
</FactorMaster>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
DataTable| Name | Description | Type | Additional information |
|---|---|---|---|
| CaseSensitive | boolean |
None. |
|
| IsInitialized | boolean |
None. |
|
| RemotingFormat | SerializationFormat |
None. |
|
| ChildRelations | Collection of Object |
None. |
|
| Columns | Collection of Object |
None. |
|
| Constraints | Collection of Object |
None. |
|
| DataSet | DataSet |
None. |
|
| DefaultView | Collection of Object |
None. |
|
| DisplayExpression | string |
None. |
|
| ExtendedProperties | Dictionary of Object [key] and Object [value] |
None. |
|
| HasErrors | boolean |
None. |
|
| Locale | CultureInfo |
None. |
|
| MinimumCapacity | integer |
None. |
|
| ParentRelations | Collection of Object |
None. |
|
| PrimaryKey | Collection of DataColumn |
None. |
|
| Rows | Collection of Object |
None. |
|
| TableName | string |
None. |
|
| Namespace | string |
None. |
|
| Prefix | string |
None. |
|
| Site | ISite |
None. |
|
| Container | IContainer |
None. |
|
| DesignMode | boolean |
None. |
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.